Add Product to Collection by External ID
curl --request POST \
--url https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId} \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}"
headers = {"X-Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}")
.header("X-Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"collection": {
"id": 123,
"external_id": "<string>",
"sales_channel": "<string>",
"name": "<string>",
"products": [
{
"id": 810772,
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"sku": "SHOES-US44-M-Brwn",
"name": "<string>"
}
]
}
}{
"errors": "Unauthorized."
}{
"message": "Resource not found."
}Collections
Add Product to Collection by External ID
Attach a product to a collection by commerce external_id.
POST
/
collections
/
external
/
{collectionExternalId}
/
products
/
external
/
{productExternalId}
Add Product to Collection by External ID
curl --request POST \
--url https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId} \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}"
headers = {"X-Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}")
.header("X-Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.loopreturns.com/api/v1/collections/external/{collectionExternalId}/products/external/{productExternalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"collection": {
"id": 123,
"external_id": "<string>",
"sales_channel": "<string>",
"name": "<string>",
"products": [
{
"id": 810772,
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"sku": "SHOES-US44-M-Brwn",
"name": "<string>"
}
]
}
}{
"errors": "Unauthorized."
}{
"message": "Resource not found."
}Authorizations
API Scope: "Collections (write)"
Path Parameters
The identifier used by an external source to identify the collection.
Maximum string length:
64Example:
"564400c7-7a6b-4f29-b6a5-7bb580b2992c"
The identifier used by an external source to identify the product.
Maximum string length:
64Example:
"564400c7-7a6b-4f29-b6a5-7bb580b2992c"
Response
Success
Show child attributes
Show child attributes